import { z } from "zod";

export const loginSchema = z.object({
  email: z.string().email("Email invalide"),
  password: z.string().min(8, "Le mot de passe doit contenir au moins 8 caractères")
});

export const adminSchema = z.object({
  id: z.string().optional(),
  last_name: z.string(),
  first_name: z.string(),
  email: z.string().min(1, "L'email est requis").email("Email invalide"),
  organization: z.string().optional(),
});

export const companySchema = z.object({
  name: z.string().min(1, "Le nom est requis"),
  description: z.string(),
  status: z.string(),
  owner: z.string()
})
